package com.tofly.common;

import cn.afterturn.easypoi.excel.entity.ExportParams;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public class EasyPoiSheetCreaterUtil {

    /**
     * easypoi导出excel构建sheet
     *
     * @param object  导出实体的类
     * @param recordList  导出数据list
     * @param sheetName sheet名称
     * @return
     * @throws ClassNotFoundException
     */
    public static Map<String, Object> getSheet(Object object, List<? extends Object> recordList, String sheetName) throws ClassNotFoundException {
        // 创建sheet使用得map
        Map<String, Object> exportMap = new HashMap<>();
        // 创建参数对象（用来设定excel得sheet得内容等信息）
        ExportParams exportParams = new ExportParams();
        // 设置sheet得名称
        exportParams.setSheetName(sheetName);
        // title的参数为ExportParams类型，目前仅仅在ExportParams中设置了sheetName
        exportMap.put("title", exportParams);
        // 模版导出对应得实体类型
        exportMap.put("entity", Class.forName(((Class) object).getCanonicalName()));
        // sheet中要填充得数据
        exportMap.put("data", recordList);
        // 执行方法
        return exportMap;
    }

}
